<?php
global $supermenu;



// =============================================================================
// SUPERSIDE MENU REGISTRATION
// =============================================================================
	register_nav_menus(array(
		'superside' => 'Supermenu Sidemenu'
	));

function superside_widgets_init() {
    register_sidebar( array(
        'name' => __( 'Superside Widgets', '_supermenu_' ),
        'id' => 'superside-widgets',
        'description' => __( 'Widgets in this area will be shown below menu items in Superside Menu', '_supermenu_' ),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
      'after_widget' => '</div>',
        'before_title' => '<h1>',
        'after_title' => '</h1>',
    ) );
}
add_action( 'widgets_init', 'superside_widgets_init' );

add_action('wp_head','automatic_integration');
function automatic_integration() {
	global $supermenu;
	if ($supermenu['sm-automatic-integration'] == true) {
		echo do_shortcode('[supermenu]');
	}
}


// =============================================================================
// SUPERSIDE MENU OUTPUT
// -----------------------------------------------------------------------------
// We're using wp_nav_menu to output the Superside Menu. We have an additional
// closing div at the end of the code. That is the closing div for 
// .superside-page which is supposed to act as a wrapper outside of the 
// .superside-navigation class.
// =============================================================================
//function superside_footer_output() {
//	if ($GLOBALS['supermenu']['sm-superside-menu'] == true) {
//		$supersidenav	=	wp_nav_menu( array('menu'=>'superside','echo'=>false,'theme_location'=> 'superside'));
//		echo '<nav class="superside-navigation"><div class="navigation">' . $supersidenav . '</div></nav></div>';
//	}
//}
//add_action('wp_footer', 'superside_footer_output');

// =============================================================================
// SUPERSIDE MENU CLASS
// -----------------------------------------------------------------------------
// Add .superside class to <body>
// =============================================================================
function superside_class( $classes ) {
	global $supermenu;
	$superside_layout		= $supermenu['sm-superside-layout'];
	$superside_aside		= $supermenu['sm-superside-aside-out'];
	if ($supermenu['sm-superside-menu'] == true) {
		$classes[] = 'superside-enabled '.$superside_layout.' '.$superside_aside;
		
	}
	return $classes;
}
add_filter( 'body_class', 'superside_class' );

//  =================================
//  = SIDENAV ICON						      =
//  =================================
function show_sidenav_icon( $items, $args ) {
	global $supermenu;
	if( $args->theme_location == $supermenu['sm-active-menu'] && $supermenu['sm-superside-menu'] == true)
		return $items.'<li class="superside-in-topmenu"><a class="superside-toggler ' .$supermenu['sm-ss-tgl-icon-size']. ' lines-button x lines-dark" href="#"><span class="lines"></span></a><li>';
		return $items;	
	}
add_filter('wp_nav_menu_items','show_sidenav_icon', 30, 2);

// =============================================================================
// CUSTOM CSS
// =============================================================================
function supermenu_custom_css() {
	global $supermenu;?>
	<style>
		<?php echo $supermenu['sm-custom-css'];?>
	</style><?php
}
add_action('wp_head', 'supermenu_custom_css');

/**
 * Remove one or more icon types
 *
 * Uncomment one or more line to remove icon types
 *
 * @param  array $types Registered icon types
 * @return array
 */
function myplugin_remove_menu_icons_type( $types ) {
    # Dashicons
    unset( $types['dashicons'] );

    # Elusive
    unset( $types['elusive'] );

    # Font Awesome
    //unset( $types['fa'] );

    # Foundation
    unset( $types['foundation-icons'] );

    # Genericons
    unset( $types['genericon'] );

    # Image
    unset( $types['image'] );

    return $types;
}
add_filter( 'menu_icons_types', 'myplugin_remove_menu_icons_type' );
add_filter( 'menu_icons_disable_settings', '__return_true' );