<?php 
// =============================================================================
// BUILDING THE [SUPERMENU] SHORTCODE!
// =============================================================================
function supermenu_shortcode() { 
	require_once( 'variables.php' ); //All variables used below are stored here.
	
// HTML CODE FOR THE TOPMENU
// =============================================================================

if ($top_menu == true) { ?>
	<div class="<?php echo $outer_wrapper;?>">
		<nav class="sm-navbar supermenu animated <?php echo $top_menu_classes;?>" role="navigation">
			<div class="<?php echo $inner_wrapper;?>">
				<button type="button" class="sm-navbar-toggle tm-lines-button <?php echo $topmenu_tgl_size;?>" data-toggle="collapse" data-target="#supermenu-sm-navbar-collapse">
					<span class="lines"></span>
				</button>
				<?php if ($superside_menu == true) { ?>
				<a class="superside-toggler <?php echo $superside_tgl_size; ?> lines-button x lines-dark" href="#"><div class="superside-in-topmenu-clone"><span class="lines"></span></div></a>
				<?php }
				if ($topmenu_logo_control == true && $topmenu_logo_type == 'img-logo') { ?>
				<div class="sm-navbar-header">
					<a class="sm-navbar-brand sm-navbar-brand-primary logo-visible img-logo" href="<?php echo home_url(); ?>"><?php echo $logo ?></a>
					<a class="sm-navbar-brand sm-navbar-brand-alt img-logo" href="<?php echo home_url(); ?>"><?php echo $logo_alt ?></a>	
				</div><!--.sm-navbar-header-->
				<?php } 
				elseif ($topmenu_logo_control == true && $topmenu_logo_type == 'text-logo') {?>
				<div class="sm-navbar-header">
					<a class="sm-navbar-brand sm-navbar-brand-primary  logo-visible text-logo" href="<?php echo home_url(); ?>"><?php echo $topmenu_text_logo; ?></a>
				</div><!--.sm-navbar-header-->
				<?php } ?>
				<?php if ($topmenu_menu_items == true) {
					wp_nav_menu( array(
						'menu'              => $active_menu,
						'theme_location'    => $active_menu,
						'depth'             => 3,
						'limit_depth'      => false,
						'container'         => 'div',
						'container_class'   => 'collapse sm-navbar-collapse',
						'container_id'      => 'supermenu-sm-navbar-collapse',
						'items_wrap'        => '<ul class="sm-nav sm-navbar-nav ' . $navbar_pos . ' animated sm-effect-' .$topmenu_link_effect . ' ' . $menu_items_amim . ' ' . $fixed_superside_icon . '">%3$s</ul>',
						'link_before'     => '<span class="menu-item-name">',
						'link_after'      => '</span>',
						'fallback_cb'       => 'sm_bootstrap_navwalker::fallback',
						'walker'            => new sm_bootstrap_navwalker())
					);
				}?>
			</div><!--.container-->
			<?php if ($supermenu['sm-visible-load'] == false) { ?>
				<a aria-label="Toggle Navigation" class="topmenu-toggler <?php echo $topmenu_tgl_size;?> lines-button x lines-dark">
					<span class="lines"></span>
				</a>
			<?php
			} ?>
		</nav>
		<?php include(dirname(__FILE__) . '/../components/searchform.php'); //Popup search form ?>
	</div>

<?php } 
if (isset($superside_menu) == true) { 
// HTML CODE FOR THE SUPERSIDE MENU
// =============================================================================
?>
<div class="superside <?php echo $superside_classes;?>">
	<div class="superside-inner">
		<a class="ss-inner-close lines-button x ssclose text-right" href="#"><span class="lines"></span></a>
		<div class="seperator-20"></div>
		<?php if ($superside_logo_control == true && $superside_logo_type == 'img-logo') { ?>
			<a class="ss-logo-link ss-img-logo" href="<?php echo home_url();?>"><?php echo $superside_logo;?></a>
		<?php } 
		elseif ($superside_logo_control == true && $superside_logo_type == 'text-logo') { ?>
			<a class="ss-logo-link ss-text-logo" href="<?php echo home_url();?>"><span class="logo"><?php echo $superside_text_logo;?></span></a>
		<?php } ?>
		<div class="clearfix"></div>
		<div class="ss-sep"></div>
		<?php wp_nav_menu( array('menu' => 'superside', 'theme_location'	=> 'superside', 'container_class' => 'superside-menu-item-wrapper', 'fallback_cb' => false ));?>
		<?php if ( is_active_sidebar('superside-widgets') ) : ?>
			<div class="clearfix"></div>
			<div class="ss-sep"></div>
			<div class="superside-widgets">
				<?php dynamic_sidebar('superside-widgets'); ?>
			</div>
		<?php endif; ?>
		<div class="clearfix"></div>
		<div class="ss-sep"></div>
		<div class="ss-copy">
			<?php echo $supermenu['sm-superside-copyrights'];?>
		</div>
	</div>
</div>
	<?php if ($top_menu == false && $superside_menu == true) { ?>
	<div class="supersidenav is-out-of-topmenu">
		<a class="superside-toggler lines-button x lines-dark" href="#">
			<span class="lines"></span>
		</a>
	</div>
	<?php } ?>
<?php } 

// PHP & jQuery VARIABLES FOR ALL THE FUNKY ANIMATIONS
// =============================================================================
global $supermenu;
$sm_menu_change_size 					= ($supermenu['sm-change-menu-size'] == true) ? 'change-size' : '';
$fixed_menu										= $supermenu['sm-fixed-menu'];?>

<script>
var sm_menu_change_size				= '<?php echo $sm_menu_change_size;?>';
var sm_effect_triggerpoint		= <?php echo $supermenu['sm-menu-effect-triggerpoint'];?>;
var sm_fixed_menu							= <?php echo $fixed_menu;?>;
var sm_visible_load						= <?php echo $supermenu['sm-visible-load'];?>;
<?php 
//Looks like Redux messed up/won't echo empty value, let the hack begin
if (empty($supermenu['sm-change-menu-color'])) {?>
var sm_change_color						= 0;
<?php } else { ?>
var sm_change_color						= <?php echo $supermenu['sm-change-menu-color'];?>;
<?php } ?>
var sm_after_fixed_menu				= '<?php echo $supermenu['sm-after-fixed'];?>';
var sm_new_menu_width					= '<?php echo $supermenu['sm-new-menu-width'];?>';
var sm_menu_configura_padding = '<?php echo $supermenu['sm-menu-configure-padding'];?>';
<?php if (empty($supermenu['sm-change-menu-width'])) {?>
var sm_change_menu_width			= 0;
<?php } else { ?>
var sm_change_menu_width			= <?php echo $supermenu['sm-change-menu-width'];?>;
<?php } ?>
</script>

<?php if ($supermenu['sm-theme-menu'] ==  true && $supermenu['sm-attempt-theme-menu-hide'] == 'auto_class') { ?>
<style>
.<?php echo $supermenu['sm-theme-menu-class'];?>{ display: none !important;}
</style>
<?php } 
if ($supermenu['sm-theme-menu'] ==  true && $supermenu['sm-attempt-theme-menu-hide'] == 'manual_class') {?>
<style>
<?php echo $supermenu['sm-theme-manual-class'];?>{ display: none !important;}
</style>
<?php } ?>

<?php }
add_shortcode( 'supermenu', 'supermenu_shortcode' ); 