<?php
/**
 * Plugin Name: SuperMenu
 * Plugin URI: http://boldblocks.com
 * Description: The Best Wordpress Mega Menu Plugin.
 * Version: 2.2.3
 * Author: 20Script
 * Author URI: http://www.20script.ir
 * Text Domain: _supermenu_
 */
 
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

// =============================================================================
// REQUIRED FILES
// =============================================================================
require_once (dirname(__FILE__) . '/admin/admin-init.php');
require_once( 'core/navwalker.php' );
//require_once( 'core/admin-navwalker.php' );
require_once( 'core/shortcode.php' );
require_once( 'core/functions.php' );
require_once( 'core/icons/menu-icons.php' );
require_once( 'wp-sass.php' );

// =============================================================================
// ENQUEUED SCRIPTS AND STYLES
// =============================================================================
function supermenu_scripts() {
  wp_enqueue_style( 'sm-bootstrap-css', plugins_url( '/assets/css/bootstrap.min.css', __FILE__ ) );
  wp_enqueue_style( 'sm-animatecss', plugins_url( '/assets/css/animate.css', __FILE__ ) );
	wp_enqueue_style( 'supermenu', plugins_url( '/assets/css/supermenu.css', __FILE__ ) );
	wp_enqueue_style( 'sm-fontawesome', plugins_url( '/assets/css/font-awesome.min.css', __FILE__ ) );
  wp_enqueue_style( 'supermenu-dynamic', plugins_url( '/style.sass.php', __FILE__ ) );
  wp_register_script( 'sm-headroom', plugins_url( '/assets/js/headroom.js', __FILE__ ), array( 'jquery' ), '1.0', true );
  wp_enqueue_script( 'sm-headroom' );
  wp_register_script( 'sm-modernizr', plugins_url( '/assets/js/modernizr.js', __FILE__ ), array( 'jquery' ), '1.0', true );
  wp_enqueue_script( 'sm-modernizr' );
  wp_register_script( 'sm-jquery-mobile', plugins_url( '/assets/js/jquery.mobile.custom.js', __FILE__ ), array( 'jquery' ), '1.0', true );
  wp_enqueue_script( 'sm-jquery-mobile' );
  wp_register_script( 'sm-bootstrap-js', plugins_url( '/assets/js/bootstrap2.js', __FILE__ ), array( 'jquery' ), '1.0', true );
  wp_enqueue_script( 'sm-bootstrap-js' );
  wp_register_script( 'supermenu', plugins_url( '/assets/js/supermenu.js', __FILE__ ), array( 'jquery' ), '1.0', true );
  wp_enqueue_script( 'supermenu' );
}
add_action('wp_enqueue_scripts', 'supermenu_scripts');

// =============================================================================
// ENQUEUED ADMIN STYLE
// =============================================================================
function supermenu_admin_style() {
	wp_register_style( 'supermenu_admin_style_css', plugin_dir_url( __FILE__ ) . 'assets/css/sm-admin-style.css', false, '1.0.0' );
	wp_enqueue_style( 'supermenu_admin_style_css' );
	wp_enqueue_script( 'supermenu_admin_js', plugin_dir_url( __FILE__ ) . 'assets/js/sm-admin-script.js' );
}
add_action( 'admin_enqueue_scripts', 'supermenu_admin_style' );

// =============================================================================
// AUTOMATIC UPDATES
// =============================================================================
require_once('core/wp-updates-plugin.php');
new WPUpdatesPluginUpdater_874( 'http://wp-updates.com/api/2/plugin', plugin_basename(__FILE__));

?>